Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.dwrp
Class BaseScriptConduit

    java.lang.Object
      org.directwebremoting.extend.ScriptConduit
          org.directwebremoting.dwrp.BaseScriptConduit

All Implemented Interfaces:
  java.lang.Comparable

Direct Known Subclasses:
  Html4kScriptConduit, HtmlScriptConduit, PlainScriptConduit

    public abstract class BaseScriptConduit

extends ScriptConduit

A ScriptConduit that works with the parent Marshaller. In some ways this is nasty because it has access to essentially private parts of PollHandler, however there is nowhere sensible to store them within that class, so this is a hacky simplification.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Field Summary

Fields inherited from class org.directwebremoting.extend.ScriptConduit
`RANK_FAST, RANK_PROCEDURAL, RANK_SLOW`

Constructor Summary
`BaseScriptConduit(javax.servlet.http.HttpServletResponse response, java.lang.String batchId, ConverterManager converterManager)` Simple ctor

Method Summary
`void` | `close(int timetoNextPoll)` A poll has finished, get the client to call us back

Methods inherited from class org.directwebremoting.extend.ScriptConduit
`addScript, compareTo, getRank, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseScriptConduit

    public BaseScriptConduit(javax.servlet.http.HttpServletResponse response,
                             java.lang.String batchId,
                             ConverterManager converterManager)
                      throws java.io.IOException

  Simple ctor

  Parameters:
    `response` - Used to flush output
    `batchId` - The id of the batch that we are responding to
    `converterManager` - How we convert objects to script
  Throws:
    `java.io.IOException` - If stream ops fail

Method Detail

### close

    public void close(int timetoNextPoll)
               throws java.io.IOException

  A poll has finished, get the client to call us back

  Parameters:
    `timetoNextPoll` - How long before we tell the browser to come back?
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD